<?php 
use_helper('UrlFunctions'); 
use_helper('UtilFunctions'); 

$a_ArBanco = new ArBancoFN();
$a_ArBanco->setEliminado(-1);
$a_ArBancoFN = $a_ArBanco->select();

$idClase = "DEPOSITO";

$a_ArClase = new ArClaseFN();
$a_claseFN = $a_ArClase->select();

if(myUser::getUser()->getRoleId() == "sys.ope"){
	
	//Mercados
	$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
	$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();
	$IdMercado = $a_Mercado[0]->getIdMercado();
	$decripcionmercado = $a_Mercado[0]->getDescripcion();
	
	$idColaborador = myUser::getUser()->getIdColaborador();
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	$decripcioncolaborador = $o_ColaboradorBeanResult[0]->getNombreCompleto();
  	
  	//Sacar el nombre de la sucursal
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($IdPadre);
	
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	
	
	foreach ($a_o_sucursal as $key => $o_sucursal){
		$IdSucursal 	= $o_sucursal->getIdSucursal();
		$NombreSucursal = $o_sucursal->getDescripcion();
		$decripcionsucursal = $NombreSucursal;
	}
  
}

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdAdministrador($IdPadre); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();




//print_r($a_valorFN_B);

?>

<script>

actualizarCuenta = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getCuenta&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    
}

runProcess = 
{
  returnSelectedAutocomplete: function(text, li)
  {
    var sCodigoItem = li.readAttribute('id').trim();
    var sNombreCompleto = li.readAttribute('name').trim();
    sCodigoItem = sCodigoItem.trim();
    sNombreCompleto = sNombreCompleto.trim();
	//alert(sCodigoItem);
	//alert(sNombreCompleto);
    $('CodigoItem').value = sCodigoItem;
    $('orderLine_itemNumber').value = sNombreCompleto;
    buscarDetallePrestamo(sCodigoItem);
    //buscarLoteSetxItemCod(sCodigoItem, 'gridPagos2_LoteSet', '');
  }
}

function hola(){
	alert('ok');
}
function cargandoImagenSerch(){
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

function buscarDetallePrestamo(idCliente){
	url = "<?=buildUrl('arqueo/gridPrestamo', "block=".$block)?>";
	var pars = $('form1').serialize();
	var str = pars+'&idcliente='+idCliente;
	var myAjax  = new Ajax.Updater(
    	"resultGrtid",
    	url,
    	{
    		asynchronous:	true,
    		method			: 'get',
    		parameters	: str,
    		evalScripts	: true,
    		onLoading   : cargandoImagenSerch(),
    		onComplete	: function(){
    			//objMainTab.showMenu();
    		}
    	})
	
}
	
actualizaJSON = function(request, json){
	  var numeroElementos = json.length;
	  for (var i = 0; i < numeroElementos; i++){
	    if($(json[i][0])){
	  	  switch ($(json[i][0]).tagName){
	  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
	  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
	  	    case 'SELECT'  : 
	  	      var objDDL = $(json[i][0]);
	  	      if(typeof(cont) == 'undefined'){
	  	        var cont = 0;
	  	        objDDL.options.length = 1;
	  	      }
	  	      var a_contentValues = json[i][1].split("_;_");
	      	  var value	= a_contentValues[0];
	      	  var text	= a_contentValues[1];
	      	  var selct	= a_contentValues[2];
	      	  if( selct == 'selected'){
	      	  	alert('xxxxxxxxxxxxxxxxxxxxxx'+value);
	  	      	var option	= new Option(text,value,"defauldSelected");
	      	  }else{
	      	  	var option	= new Option(text,value);
	      	  }
	      		try{
	      			objDDL.add(option,null);
	      		}catch (e){
	      			objDDL.add(option,-1);
	      		}
	  	      cont++;
	  	    break;
	  	  }
	    }else{
	      if(json[i][0].indexOf("function") > -1){
	        eval("scriptEval = "+json[i][0]);
	        scriptEval();
	      }
	    }
	  }
	}
	
	function limpiarDatos(){
		$('resultGrtid').innerHTML='';
		$('CodigoItem').value='';
	}
	
</script>
<?php
//echo myUser::getUser()->getRoleId();
//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"

if(isset($control)){
	
  	print_r($_POST);
  	//exit;
  	print_r($monto);
  	
  	if(!$CodigoItem){
  		exit("No se puede realizar esta operacion no hay cliente");
  	}
  	if(is_array($monto)){
  		foreach ($monto as $idprestamo => $montop){
  			$suma_monto += $montop;
  		}
  		if($montoTotal!=$suma_monto){
  			exit("No se puede realizar esta operacion porque montoTotal :".$montoTotal." no es igual a: ".$suma_monto);
  		}
  	}else{
  		exit("No se puede realizar esta operacion porque no hay prestamos a descontar");
  	}
  	reset($monto);
  	if(is_array($monto)){
  		$o_ClienteBean = new ClienteBean();
  		$o_ClienteBean->setIdCliente($CodigoItem);
  		$o_ClienteDP = new ClienteDP($o_ClienteBean);
  		$a_clienteDP = $o_ClienteDP->selectByPk();
  		foreach ($a_clienteDP as $key => $o_clienteDP){
  			$nombreCompleto = $o_clienteDP->getNombreCompleto();
  		}
  		echo $IdBanco;
  		$o_ArBancoFN = new ArBancoFN(); 
  		$o_ArBancoFN->setIdbanco($IdBanco);
  		$o_ArBancoBN = $o_ArBancoFN->selectByPK();
  		print_r($o_ArBancoBN);
  		
  		$NombreBanco = $o_ArBancoBN->getDescripcion();
  		
  		$o_ArCuentaFN = new ArCuentaFN(); 
  		$o_ArCuentaFN->setIdcuenta($IdCuenta);
  		$o_ArCuentaBN = $o_ArCuentaFN->selectByPK();
  		
  		$NombreCuenta = $o_ArCuentaBN->getNumero();
  		
  		foreach ($monto as $idprestamo => $monto){
  			
  			$o_ArArqueoDetalleDepositoDP = new ArArqueoDetalleDepositoDP();
			$o_ArArqueoDetalleDepositoDP->setIdclase($idClase);
			$o_ArArqueoDetalleDepositoDP->setIdsucursal($IdSucursal);
			$o_ArArqueoDetalleDepositoDP->setIdmercado($IdMercado);
			$o_ArArqueoDetalleDepositoDP->setIdcolaborador($idColaborador);
			$o_ArArqueoDetalleDepositoDP->setFecha($fechaBalanceAbierto);
			$o_ArArqueoDetalleDepositoDP->setIdcliente($CodigoItem);
			$o_ArArqueoDetalleDepositoDP->setIdprestamo($idprestamo);
			$o_ArArqueoDetalleDepositoDP->setSubtotal($monto);
			
			$o_ArArqueoDetalleDepositoDP->setIdBanco($IdBanco);
			$o_ArArqueoDetalleDepositoDP->setIdCuenta($IdCuenta);
			
			
			$o_ArArqueoDetalleDepositoDP->setNumeroboucher($boucher);
			
			
			$o_ArArqueoDetalleDepositoDP->setNumerocuenta($NombreCuenta);
			$o_ArArqueoDetalleDepositoDP->setBanco($NombreBanco);
			$o_ArArqueoDetalleDepositoDP->setNombrecliente($nombreCompleto);
			
			
			$o_ArArqueoDetalleDepositoDP->setFechadeposito($FechaOperacion);
			$o_ArArqueoDetalleDepositoDP->setFecharegistro(date("Y-m-d H:i:s"));
			$o_ArArqueoDetalleDepositoDP->setUsuarioregistro(myUser::getUser()->getUserId());
			
			print_r($o_ArArqueoDetalleDepositoDP);
			$o_ArArqueoDetalleDepositoDP->save();	
  		}
  		$bResult = true;
  	}
  
    if($bResult)
    {
           ?>
            <script language="JavaScript">
             parent.objMainTab.reqBody('<?=buildUrl('arqueo/addDeposito')?>','&insert=1');
    		 parent.objMainTab.windowsCloseAll();
            </script>
            <?
        
        
    }
    else
    {
        //$url = buildUrl('cli/add', "block=".$block."&error=1");
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong>Error en actualizar el cliente.</p></div></div>';
    }
}


//if(is_array($a_ObjectBean)){
if(1){
  //while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	
  	
	
?>
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
	
	<tr>
		<td valign="top">
			 <form id="form1" name="form1" method="POST">
				<input type="hidden" name="control" value="1">
				<input type="hidden" name="CodigoItem"  id="CodigoItem" value="">
			  
                        <?php
                        $s_Param = '';
                        if( isset( $id ) )
                        {
                            $s_Param = 'id='.$id;
                        }
                        ?>
			  
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr>
							  <td class="titleBody"><li>&nbsp;&nbsp;Nuevo Deposito</li></td>
							  <td align="right" valign="baseline">
							    
							  </td>
							</tr>
						</table>
			  
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco">
                            <tr>
                                <td nowrap="nowrap">
                                    
                                        
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td >
    
                                                    <table width="100%" cellpadding="5" border="0" align="left">
                                                    	<tr>
                                                          <td align="left" width="10%"><label class="label">Banco</label></td>
                                                          <td align="left" id="">
                                                          	<select class="combo validate-selection" name="IdBanco" id="IdBanco" onchange="actualizarCuenta('IdCuenta',this)" >
							                  				  <option value="" > - Seleccionar - </option>
							                 				  <?php foreach ($a_ArBancoFN as $iKey => $o_ArBancoFN){ ?>
							                  				  	<option value="<?=$o_ArBancoFN->getIdbanco()?>">
							                    			 	<?=$o_ArBancoFN->getDescripcion()?>
							                   	              	</option>
							                  					<?php } ?>
							                				</select>
                                                          </td>
                                                        </tr>
														<tr>
                                                          <td align="left" id=""><label class="label">#Cuenta</label></td>
                                                          <td align="left" id="">
                                                          <select class="combo validate-selection " name="IdCuenta" id="IdCuenta" >
							                  				  <option value="" > - Seleccionar - </option>
							                				</select></td>
                                                        </tr>	
                                                        <tr>
                                                          <td align="left" id=""><label class="label">Monto</label></td>
                                                          <td align="left" id=""><input type="text" class="text required validate-MontoTotal" name="montoTotal" id="montoTotal"></td>
                                                        </tr>
                                                        <tr>
                                                          <td align="left" id=""><label class="label">F.Operacion</label></td>
                                                          <td align="left" id=""><input class="text required"  readonly  type="text" name="FechaOperacion" id="FechaOperacion" ondblclick="this.value=''" size="8"/><button type="button" onclick="return false" id="btnFechaOperacion">...</button>
															   <script type="text/javascript">
															     document.getElementById("btnFechaOperacion").disabled = false;
															     Calendar.setup({
															     inputField : "FechaOperacion",
															     ifFormat : "%Y-%m-%d",
															     daFormat : "%Y-%m-%d",
															     button   : "btnFechaOperacion"
															     });
															  </script></td>
                                                        </tr>
                                                        <tr>
                                                          <td align="left" id=""><label class="label">Boucher</label></td>
                                                          <td align="left" id=""><input type="text" class="text required" name="boucher" id="boucher"></td>
                                                        </tr>
                                                        <tr>
                                                          <td align="left" id=""><label class="label">Cliente</label></td>
                                                          <td align="left" id=""><!--codigo-->
                                                          <select name="tipoBusqueda" id="tipobusqueda">
                                                          	<option value="">Nombre</option>
                                                          	<option value="-">Codigo</option>
                                                          	<option value=">">dni</option>
                                                          	</select>                        
														  <input type="text" onblur="" onfocus="" onkeyup="limpiarDatos()" class="text" size="50" autocomplete="off" value="" id="orderLine_itemNumber" name="orderLine[itemNumber]">
														  <div class="auto_complete" id="orderLine_itemNumber_auto_complete"  style="display: none;"></div>
														  <script type="text/javascript" language="javascript" charset="utf-8">
														  // <![CDATA[
														  
														 
															new Ajax.Autocompleter('orderLine_itemNumber','orderLine_itemNumber_auto_complete','<?=buildUrl('ajax/request', "sTypeRequest=autocompleteProducto")?>',{frequency:0.1, minChars:3, afterUpdateElement:runProcess.returnSelectedAutocomplete,parameters:'idTipo1=1',
															callback: function(element, entry) {
																//alert(entry);
																var idTipo = $('tipobusqueda').value;
																var montoTotal = $('montoTotal').value;
																//alert(idTipo);
																if(!montoTotal)
																{
																	alert("Debe ingresar monto");
																	return false;
																}
                												return entry + '&idTipo=' + idTipo+ '&montoTotal=' + montoTotal;
            												}});
														  // ]]>
														  </script>
														</td>
                                                        </tr>
                                                        <tr>
                                                        <td colspan="2">Lista de Prestamos</td>
                                                        </tr>
                                                         <tr>
                                                        <td colspan="2"><div id="resultGrtid"></div></td>
                                                        </tr>
                                                        
                                                    </table>
                                                        
                                                </td>
                                                
                                               
                                            </tr>
                                            
                                    	</table>
                                    	
                                    	               
                                    
									
                                	
                                </td>
                            </tr>
                        </table>
                        
                        
                        
                        
				
			</form>
				<script type="text/javascript">
					
					Validation.add('validate-MontoTotal', 'El monto total no coincide con lo ingresado.', function(v) {     
 
								  			 
					    var okdni = false;
					    var valorAcumulado = 0;
					    var f = $$('.montos');
						var o_montoTotal = $('montoTotal');
						montoTotal = parseFloat(o_montoTotal.value);
					    //alert(montoTotal);
											    
						f.forEach( function(valor, indice, array) {
							
							valorAcumulado = valorAcumulado + parseFloat(valor.value);
							
						    //console.log("En el índice " + indice + " hay este valor: " + valor);
						});
						//alert(valorAcumulado);
						//alert(montoTotal);
						if(valorAcumulado != montoTotal){
							return false;
						}
						
						return true;				 
					    
					});
					
					Validation.add('validate-MontoAmortizado', 'El monto es mayor al saldo.', function(v) {     
 
								  			 
					    var okdni = false;
					    var valorAcumulado = 0;
					    var f = $$('.montoSaldos');
					    var fm = $$('.montos');
						
					    
											    
						
						for(var i=0; i<f.length; i++){
							
							valorSaldo = parseFloat(f[i].value);
							
							valorMonto = parseFloat(fm[i].value);
							//alert('vs '+valorSaldo)
							//alert('vm '+valorMonto)
							if(valorMonto > valorSaldo){
								//alert('ok');
								//alert('Un pago no es valido para el saldo '+valorSaldo+' y pago '+valorMonto);
								return false;
							}
							
						    //console.log("En el índice " + indice + " hay este valor: " + valor);
						}
						
						
						
						return true;				 
					    
					});
					var valid = new Validation('form1', {immediate : false});
					
				</script>
		</td>
	</tr>
</table>


<?php
  //}
}
?>

